%global srcname		socketIO-client
%global pypiname	socketIO_client

%global deps_py2	python-requests python-six python-websocket-client
%global deps_tests_py2	python-nose python-coverage

Name:		python-%{srcname}
Version:	0.6.7
Release:	1%{?dist}
Summary:	A socket.io client library for Python

License:	MIT
URL:		https://pypi.python.org/pypi/socketIO-client
Source0:	https://pypi.python.org/packages/source/s/socketIO-client/socketIO_client-%{version}.tar.gz

# The PyPI archive doesn't include full license text
# Issue: https://github.com/invisibleroads/socketIO-client/pull/119
# Source:  https://raw.githubusercontent.com/invisibleroads/socketIO-client/master/LICENSE
Source1:	LICENSE

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_tests_py2
Requires:	%deps_py2
Provides:	python-%{pypiname} = %{version}-%{release}
%{?python_provide:%python_provide python-%{srcname}}
%{?python_provide:%python_provide python-%{pypiname}}

%description
The socketIO-client is a Python client library for socket.io.

This package contains the library for Python 2.

%prep
%setup -q -n %{pypiname}-%{version}
install -m 0644 -p %{SOURCE1} .

%build
%py2_build

%install
%py2_install
# remove tests
rm -frv %{buildroot}%{python2_sitelib}/socketIO_client/tests
sed -i '/^socketIO_client\/tests\//d' %{buildroot}%{python2_sitelib}/socketIO_client-*.egg-info/SOURCES.txt

%check
# temporarily disable tests, they seem to run indefinitely
#%__python2 setup.py check nosetests

%files -n python-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Thu Jul 14 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.7-1
- new upstream release (fix error handling in threads)
- switch to distribution archive from PyPI

* Fri Jun 03 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.5-1
- initial package for EPEL 7
